package config;

# config.pm
#
# [ldasm] Small configuration-file
#

# Versions
$VersionStr = 'v0.01';
$WinTitle   = "LDasm - $VersionStr";
$IconName   = "LDasm";
$BuildStr   = '32';

# File-related
$RCPath     = "$ENV{LDASM_DIR}/rc";
$ListingExt = '.alf';
$ProjectExt = '.lpj';

# Misc.
$RowsPerPage = 20;

# Fonts
%FontHelp = (
   'title' => {
      'col' => 'navy',
      'aln' => 'center',
      'fnt' => '-adobe-courier-bold-*-normal-*-14*-75-75-*-*-iso8859-1'},
   'section' => {
      'fnt' => '-adobe-courier-bold-*-normal-*-12*-75-75-*-*-iso8859-1'},
   'link' => {
      'col' => 'blue',
      'ul'  => 'y',
      'lm'  => 20,
      'fnt' => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1'},
   'text' => {
      'lm'  => 20,
      'fnt' => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1'}
);
%FontAsm = (
   'normal' => {
      'fnt'   => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1',
      'prior' => 0},
   'function' => {
      'col'   => 'darkgreen',
      'fnt'   => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1',
      'prior' => 1},
   'string' => {
      'col'   => 'navy',
      'fnt'   => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1',
      'prior' => 1},
   'internal' => {
      'col'   => 'navy',
      'fnt'   => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1',
      'prior' => 1},
   'overNormal' => {
      'bg'    => 'cyan',
      'fnt'   => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1',
      'prior' => 2},
   'overRef' => {
      'bg'    => 'green',
      'fnt'   => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1',
      'prior' => 2},
);
%FontProgress = (
   'normal'  => {
      'fnt' => '-adobe-courier-medium-r-normal-*-12-*-75-75-*-*-iso8859-1'}
);


1;
